/*
	save.h		-- Using GASP
*/

#ifndef __SAVE_H__
#define __SAVE_H__

#include "types.h"

/*
 * DEFINES
 */

typedef struct {
	short int x, y;		/* Position on screen */

	l_byte view;		/* Current VIEW.x */
	l_byte loop;		/* Current loop in VIEW */
	l_byte cel;		/* Current cel in loop */
	l_byte priority;	/* Current priority */

	l_byte step_size;
	l_byte step_time;
	l_byte cycle_time;

	l_byte tx, ty;		/* TargetX and TargetY */
	l_byte target_flag;	/* Flag to set when target reached */

	int flags;		/* Implementation specific flags */
} gasp_real_view_t;

/*
 * FUNCTIONS
 */

void save_save (void);
void save_restore (void);
int save_save_game (char *fname, char *desc);
int save_restore_game (char *fname);

#endif	/* __SAVE_H__ */
